org.apache.ivy.core.module.descriptor

## Interface ExtendsDescriptor

All Known Implementing Classes:
  DefaultExtendsDescriptor

    public interface ExtendsDescriptor

Describes parent descriptor information for a module descriptor.

### Method Summary

Methods
`boolean` `areConfigurationsInherited()`
`boolean` `areDependenciesInherited()`
`java.lang.String[]` `getExtendsTypes()` Get the parts of the parent descriptor that are inherited.
`java.lang.String` `getLocation()` If there is an explicit path to check for the parent descriptor, return it.
`ModuleDescriptor` `getParentMd()`
`ModuleRevisionId` `getParentRevisionId()` get the module revision id of the declared parent descriptor
`ModuleRevisionId` `getResolvedParentRevisionId()` get the resolved revision id for `getParentRevisionId()`, see `ModuleDescriptor.getResolvedModuleRevisionId()`
`boolean` `isAllInherited()`
`boolean` `isDescriptionInherited()`
`boolean` `isInfoInherited()`
`boolean` `isLocal()`

### Method Detail

#### getParentRevisionId

    ModuleRevisionId getParentRevisionId()

get the module revision id of the declared parent descriptor

#### getResolvedParentRevisionId

    ModuleRevisionId getResolvedParentRevisionId()

get the resolved revision id for `getParentRevisionId()`, see `ModuleDescriptor.getResolvedModuleRevisionId()`

#### getParentMd

    ModuleDescriptor getParentMd()

#### getLocation

    java.lang.String getLocation()

If there is an explicit path to check for the parent descriptor, return it. Otherwise returns null.

#### getExtendsTypes

    java.lang.String[] getExtendsTypes()

Get the parts of the parent descriptor that are inherited. Default supported types are `info`, `description`, `configurations`, `dependencies`, and/or `all`. Ivy extensions may add support for additional extends types.

#### isAllInherited

    boolean isAllInherited()

Returns:
  true if the `all` extend type is specified, implying all other types

#### isInfoInherited

    boolean isInfoInherited()

Returns:
  true if parent info attributes are inherited (organisation, branch, revision, etc)

#### isDescriptionInherited

    boolean isDescriptionInherited()

Returns:
  true if parent description is inherited

#### areConfigurationsInherited

    boolean areConfigurationsInherited()

Returns:
  true if parent configurations are inherited

#### areDependenciesInherited

    boolean areDependenciesInherited()

Returns:
  true if parent dependencies are inherited

#### isLocal

    boolean isLocal()